Subject: Re: [lojban] Programming Languages for Lojban

From: Björn Gohla <[email-masked]>
Date: Mon, 11 Mar 2002 21:08:42 +0100

On Monday 11 March 2002 20:23, Robert J. Chassell wrote:
[...]
> Also, it is a quite different task from that of asking questions such
> as:
>
> My name is Bob, and my father was named Joseph, and his father was
> named Olin; what is the name of one of my grandfather's
> grandchildren?
>
> And that is different from the task of
>
> Move to line after the word grandchildren; move forward another
> line. Open up space. Insert text saying `Moreover, that..' Go
> to beginning of line; replace word that is there with the word
> `and' ....

i think we will as a matter of practicality segregate different task domains 
with different pragmatic contexts early in the processing chain. for example 
*making a telephone call
*taking notes
*arranging system components

concerning the last item, i imagine the user will simply give a factual 
description of the arrangement, and tell the interpreter in advance what the 
intention of the following statements is.

> It will be interesting to see what kind of `style' each of these
> different tasks imposes on Lojban.
>
> Also, as a practical matter, I hope that the various
> Lojban-as-programming-language developers will cooperate enough that a
> person speaking or typing grammatical Lojban can do all the different
> tasks on the same machine without having to know or think about
> `hidden' factors, such as whether evaluation is strict or lazy.

i suspect a good deal of artificial intelligence (whatever that is) will be 
necessary to this really useful.
- -- 
One Unix to rule them all, 
One Resolver to find them,
One IP to bring them all, 
And in the zone bind them.
pub 1024D/834F4976 2001-01-07 Björn Gohla (Wissenschaftler, Weltbürger) 
<[email-masked]>
Key fingerprint = 9FF4 FEDA CCDF DA0E 14D5 8129 6C14 3C39 834F 4976
sub 1024g/29571FE2 2001-01-07